import { ComponentPropsWithoutRef, ReactNode } from 'react';
import { FlattenSimpleInterpolation } from 'styled-components';
import { TextCustomCssProps } from "../../utils/style/textStyle";
export declare const VARIANTS: {
    readonly noUnderline: "noUnderline";
    readonly underline: "underline";
    readonly arrow: "arrow";
};
export type Variant = keyof typeof VARIANTS;
type HTMLAProps = Omit<ComponentPropsWithoutRef<'a'>, 'color'>;
export type ComponentProps = {
    children: string | ReactNode;
} & HyperlinkStyle & HTMLAProps;
export type HyperlinkStyle = {
    variant?: Variant;
    customCss?: FlattenSimpleInterpolation;
} & TextCustomCssProps;
export type HocHyperlinkData = {
    href: string;
    label: string;
} & HTMLAProps;
export {};
